<html>
<head>
<title>OGRE: Ogre::FloatGpuParameterControllerValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html">FloatGpuParameterControllerValue</a></div>
<h1>Ogre::FloatGpuParameterControllerValue Class Reference</h1><!-- doxytag: class="Ogre::FloatGpuParameterControllerValue" --><!-- doxytag: inherits="Ogre::ControllerValue" -->Predefined controller value for setting a single floating- point value in a constant paramter of a vertex or fragment program.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::FloatGpuParameterControllerValue:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1FloatGpuParameterControllerValue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#dcb5573c5f1a5115a83fda9c614b5f4c">FloatGpuParameterControllerValue</a> (<a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *params, size_t index)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#dcb5573c5f1a5115a83fda9c614b5f4c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#4cd25fecd64c347a91c5277f4bfebbce">~FloatGpuParameterControllerValue</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#9f7f5e90ec6cafb9508d56cf7bc97343">getValue</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#15070b767a1bf1cd7c0b6a97c319d029">setValue</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerValue.html#b719e69a47857662b71041b9c74e546b">setValue</a> (T value)=0</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#5e49bf3decab240c3a97c284bd734357">mParams</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The parameters to access.  <a href="#5e49bf3decab240c3a97c284bd734357"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#b5735fd67d4c023ecadbc5ec7cc3afd2">mParamIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The index of the parameter to e read or set.  <a href="#b5735fd67d4c023ecadbc5ec7cc3afd2"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Predefined controller value for setting a single floating- point value in a constant paramter of a vertex or fragment program. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> value is accepted, it is propagated into the 'x' component of the constant register identified by the index. If you need to use named parameters, retrieve the index from the param object before setting this controller up. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Retrieving a value from the program parameters is not currently supported, therefore do not use this controller value as a source, only as a target. </dd></dl>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00138">138</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="dcb5573c5f1a5115a83fda9c614b5f4c"></a><!-- doxytag: member="Ogre::FloatGpuParameterControllerValue::FloatGpuParameterControllerValue" ref="dcb5573c5f1a5115a83fda9c614b5f4c" args="(GpuProgramParameters *params, size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FloatGpuParameterControllerValue::FloatGpuParameterControllerValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>params</em>&nbsp;</td><td>The parameters object to access </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>index</em>&nbsp;</td><td>The index of the parameter to be set </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="4cd25fecd64c347a91c5277f4bfebbce"></a><!-- doxytag: member="Ogre::FloatGpuParameterControllerValue::~FloatGpuParameterControllerValue" ref="4cd25fecd64c347a91c5277f4bfebbce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FloatGpuParameterControllerValue::~FloatGpuParameterControllerValue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00155">155</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="9f7f5e90ec6cafb9508d56cf7bc97343"></a><!-- doxytag: member="Ogre::FloatGpuParameterControllerValue::getValue" ref="9f7f5e90ec6cafb9508d56cf7bc97343" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::FloatGpuParameterControllerValue::getValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1ControllerValue.html#745741bba579264e57d797683d3feacd">Ogre::ControllerValue&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="15070b767a1bf1cd7c0b6a97c319d029"></a><!-- doxytag: member="Ogre::FloatGpuParameterControllerValue::setValue" ref="15070b767a1bf1cd7c0b6a97c319d029" args="(Real value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FloatGpuParameterControllerValue::setValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b719e69a47857662b71041b9c74e546b"></a><!-- doxytag: member="Ogre::FloatGpuParameterControllerValue::setValue" ref="b719e69a47857662b71041b9c74e546b" args="(T value)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue</a>&lt; T &gt;::setValue           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5e49bf3decab240c3a97c284bd734357"></a><!-- doxytag: member="Ogre::FloatGpuParameterControllerValue::mParams" ref="5e49bf3decab240c3a97c284bd734357" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a>* <a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#5e49bf3decab240c3a97c284bd734357">Ogre::FloatGpuParameterControllerValue::mParams</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The parameters to access. 
<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00142">142</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b5735fd67d4c023ecadbc5ec7cc3afd2"></a><!-- doxytag: member="Ogre::FloatGpuParameterControllerValue::mParamIndex" ref="b5735fd67d4c023ecadbc5ec7cc3afd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#b5735fd67d4c023ecadbc5ec7cc3afd2">Ogre::FloatGpuParameterControllerValue::mParamIndex</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The index of the parameter to e read or set. 
<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00144">144</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:51 2008
</p>
</body>
</html>
